uk.gov.hmrc.customs.api.common.http

# ExtensibleHttpErrorFunctions

###
Related Doc: package http

#### trait ExtensibleHttpErrorFunctions extends HttpErrorFunctions

Template based off of the 'http-verbs' HttpErrorFunctions class but which allows easy customisation of HTTP error handling

Linear Supertypes
HttpErrorFunctions, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. ExtensibleHttpErrorFunctions
2. HttpErrorFunctions
3. AnyRef
4. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### def badGatewayMessage(verbName: String, url: String, e: Exception): String

   Definition Classes
     HttpErrorFunctions

6. #### def badGatewayMessage(verbName: String, url: String, status: Int, responseBody: String): String

   Definition Classes
     HttpErrorFunctions

7. #### def badRequestMessage(verbName: String, url: String, responseBody: String): String

   Definition Classes
     HttpErrorFunctions

8. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

9. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

10. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

11. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

12. #### def gatewayTimeoutMessage(verbName: String, url: String, e: Exception): String

    Definition Classes
      HttpErrorFunctions

13. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

14. #### def handle2xxResponse(httpMethod: String, url: String, response: HttpResponse): HttpResponse

15. #### def handle3xxResponse(httpMethod: String, url: String, response: HttpResponse): HttpResponse

16. #### def handle4xxResponse(httpMethod: String, url: String, response: HttpResponse): HttpResponse

17. #### def handle5xxResponse(httpMethod: String, url: String, response: HttpResponse): HttpResponse

18. #### def handleAnyOtherResponse(httpMethod: String, url: String, response: HttpResponse): HttpResponse

19. #### def handleResponse(httpMethod: String, url: String)(response: HttpResponse): HttpResponse

    Definition Classes
      ExtensibleHttpErrorFunctions → HttpErrorFunctions

20. #### def handleResponseEither(httpMethod: String, url: String)(response: HttpResponse): Either[UpstreamErrorResponse, HttpResponse]

    Definition Classes
      HttpErrorFunctions

21. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

22. #### def is2xx(status: Int): Boolean

    Definition Classes
      HttpErrorFunctions

23. #### def is4xx(status: Int): Boolean

    Definition Classes
      HttpErrorFunctions

24. #### def is5xx(status: Int): Boolean

    Definition Classes
      HttpErrorFunctions

25. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

26. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

27. #### def notFoundMessage(verbName: String, url: String, responseBody: String): String

    Definition Classes
      HttpErrorFunctions

28. #### final def notify(): Unit

    Definition Classes
      AnyRef

29. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

30. #### def preconditionFailedMessage(verbName: String, url: String, responseBody: String): String

    Definition Classes
      HttpErrorFunctions

31. #### implicit val readRaw: HttpReads[HttpResponse]

32. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

33. #### def toString(): String

    Definition Classes
      AnyRef → Any

34. #### def upstreamResponseMessage(verbName: String, url: String, status: Int, responseBody: String): String

    Definition Classes
      HttpErrorFunctions

35. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

36. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

37. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from HttpErrorFunctions

### Inherited from AnyRef

### Inherited from Any

### Ungrouped